使用VS2017开发APP中使用VUE.js开发遇到打包出来的android文件 在低版本的android(4.3)中无法正常使用

2017-11-16 19:20:38来源:cnblogs.com作者:信息技术的风采人点击

分享

使用VS2017开发VUE的APP应用遇到的问题集合

1,  打包出来的apk文件在Android 6.0版本以上手机可以正常打开,在Android 4.3版本手机上无法打开

原因:一开始猜测是不是VS中安卓设置不正确,最后确定的问题是,低版本内置的浏览器(webview)版本太低,无法解析 ES2015最新的一些语法。需要在Webpack中配置babel-loader,还需要在项目最外层添加一个.babelrc文件用于babel默认解析ES2015中的特殊语法(例如: const,let等)

解决方案: 在最外层中添加 .bablerc,并在该文件中添加:

{

  "presets": [ "es2015" ]

}

在Wabpack的webpack.config.js配置文件中添加:

{

                //  test: //.jsx?$/,

                test: /(/.jsx|/.js)$/

                , loader: "babel-loader"

            }

详细配置信息如下:

/// <binding Clean='Run - Development' />

"use strict";

 

module.exports = {

    entry: "./www/sources/main.js",

    output: {

        filename: "build.js"

        , path: __dirname + '/www/dist'

        , publicPath: './dist/',

    },

    externals: {

        "BMap" : "BMap"

    },

    //devServer: {

    //    contentBase: ".",

    //    host: "localhost",

    //    port: 9000

    //},

    module: {

        loaders: [

            {

                //  test: //.jsx?$/,

                test: /(/.jsx|/.js)$/

                , loader: "babel-loader"

            },

            {

                test: //.vue?$/,

                loader: "vue-loader"

            }, {

                test: //.css?$/,

                use: [

                    {

                        loader: "style-loader"

                    }, {

                        loader: "css-loader"

                    }

                ]

            }, {

                test: //.(png|jpg)$/,

                loader: 'url-loader?limit=8192&name=images/[hash:8].[name].[ext]'

            }, {

                test: //.(eot|woff)$/

                , loader: "file-loader"

            }

        ]

    }

};

微信扫一扫

第七城市微信公众平台